Send an SMS campaign schedule to recipients using their mobile number. During a Marketing SMS request, the Marketing service checks the SMS permit of a recipient, updates existing records and inserts new records for a new person.
Prerequisites
Before you can use this service you need to make sure that you've completed the following tasks:
- Created a Marketing SMS schedule in Contour
- Received the relevant credentials from your RedEye account manager
- Know how many merge fields are in the creative and how they can affect the size and cost of your message
Considerations
- You cannot have spaces or hyphens in the mobile number
- Works with or without the + sign
- International numbers are supported
- An invalid mobile number will still be charged even though the SMS will not be received
- Duplicate batch_ids are ignored
- Person aliases are not supported
- For specific cases permit override can be allowed, speak to your Account Manager for more information
- We recommend not to include email addresses in the Marketing SMS API call
- We recommend each recipient in the API call should have the same parameters but they can have different values
- If SMS_Optout is specified in the API call this should be for every recipient as above, a recipient without permit will be presumed as no permit and will be rejected. If SMS_Optout is not included for any recipient then the value will be taken from your database.
URL to use
METHOD:POST
https://api.redeye.com/[client_id]/marketing/sendpush/
Body Sample
{
"schedule": "string", //the name of the schedule to send
"batch_id": "integer", //a unique reference number such as a non-decimal integer
"recipients": [{
"email": "string",
"firstname": "string",
"titlelastname": "string",
"ordernumber": 0
}]
}